org.jgrapht.alg.interfaces

## Interface MaximumFlowAlgorithm.MaximumFlow<V,E>

- All Known Implementing Classes:
    MaximumFlowAlgorithm.MaximumFlowImpl
  Enclosing interface:
    MaximumFlowAlgorithm<V,E>

      public static interface MaximumFlowAlgorithm.MaximumFlow<V,E>

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Map<E,Double>` | `getFlow()` Returns mapping from edge to flow value through this particular edge
    `Double` | `getValue()` Returns value of the maximum-flow for the given network

- - ### Method Detail

    - #### getValue

          Double getValue()

      Returns value of the maximum-flow for the given network
      Returns:
        value of th maximum-flow

    - #### getFlow

          Map<E,Double> getFlow()

      Returns mapping from edge to flow value through this particular edge
      Returns:
        maximum flow

Copyright © 2016. All rights reserved.